Subject: [tsvwg] [Fwd: Re: Fwd: New Version Notification for draft-eggert-tsvwg-rfc5405bis-00.txt]

From: [email-masked]
Date: Mon, 16 Jun 2014 19:34:33 +0100

I'll respond on the RTT query - since I wrote that section.

I'm, not sure what you are saying, are you saying there are methods that
determine how to respond to congestion that take less than one RTT, or
simply the group RTT isn't an issue - maybe I'd see better with an
example?

Gorry

> Thanks Lars. Much of this text is taken directly from my previous
> draft, draft-shepherd-multicast-udp. Can you please add me to the authors
> list of this draft?
>
> Content notes:
>
> Section 4.1:
>
> Congestion control mechanisms for multicast may operate on longer
>    timescales than for unicast (e.g., due to the higher group RTT of a
>    heterogeneous group); appropriate methods are particularly for any
>    multicast session were all or part of the multicast distribution tree
>    spans an access network (e.g., a home gateway).
>
>
> The above isn't relevant for application based CC mechanism. In fact, an
> application-based mechanism may often operate faster than any RTT
> dependent
> mechanism. I think we should either remove this paragraph entirely or
> restructure it to make the point that application based CC operates
> without
> dependency on RTT.
>
> Greg
>
>
> On Mon, Jun 16, 2014 at 1:50 AM, Eggert, Lars <[email-masked]> wrote:
>
>> Hi,
>>
>> Gorry and me have started to put together an update to RFC5405 in light
>> of
>> the recent discussions. Comments welcome.
>>
>> Lars
>>
>>
>> Begin forwarded message:
>>
>> > From: <[email-masked]>
>> > Subject: New Version Notification for
>> draft-eggert-tsvwg-rfc5405bis-00.txt
>> > Date: June 14, 2014 at 12:14:42 GMT+2
>> > To: Lars Eggert <[email-masked]>, Godred Fairhurst <
>> [email-masked]>, Gorry Fairhurst <[email-masked]>, Lars
>> Eggert <[email-masked]>
>> >
>> >
>> > A new version of I-D, draft-eggert-tsvwg-rfc5405bis-00.txt
>> > has been successfully submitted by Lars Eggert and posted to the
>> > IETF repository.
>> >
>> > Name:         draft-eggert-tsvwg-rfc5405bis
>> > Revision:     00
>> > Title:                UDP Usage Guidelines
>> > Document date:        2014-06-14
>> > Group:                Individual Submission
>> > Pages:                36
>> > URL:
>> http://www.ietf.org/internet-drafts/draft-eggert-tsvwg-rfc5405bis-00.txt
>> > Status:
>> https://datatracker.ietf.org/doc/draft-eggert-tsvwg-rfc5405bis/
>> > Htmlized:
>> http://tools.ietf.org/html/draft-eggert-tsvwg-rfc5405bis-00
>> >
>> >
>> > Abstract:
>> >   The User Datagram Protocol (UDP) provides a minimal message-passing
>> >   transport that has no inherent congestion control mechanisms.
>> >   Because congestion control is critical to the stable operation of
>> the
>> >   Internet, applications and other protocols that choose to use UDP as
>> >   an Internet transport must employ mechanisms to prevent congestion
>> >   collapse and to establish some degree of fairness with concurrent
>> >   traffic.  They may also need to implement additional mechanisms,
>> >   depending on how they use UDP.
>> >
>> >   This document provides guidelines on the use of UDP for the
>> designers
>> >   of applications, tunnels and other protocols that use UDP.
>> >   Congestion control guidelines are a primary focus, but the document
>> >   also provides guidance on other topics, including message sizes,
>> >   reliability, checksums, and middlebox traversal.
>> >
>> >   If published as an RFC, this document will obsolete RFC5405.
>> >
>> >
>> >
>> >
>> > Please note that it may take a couple of minutes from the time of
>> submission
>> > until the htmlized version and diff are available at tools.ietf.org.
>> >
>> > The IETF Secretariat
>> >
>>
>>
>